Menu

- Main Page
- Related Pages
- Data Structures
- Files
- Examples

Functions
Menu

## Functions
Evas_Object * | elm_menu_add (Evas_Object *parent)
| Add a new menu to the parent. More...
void | elm_menu_parent_set (Evas_Object *obj, Evas_Object *parent)
| Set the parent for the given menu widget. More...
Evas_Object * | elm_menu_parent_get (const Evas_Object *obj)
| Get the parent for the given menu widget. More...

## Detailed Description

A menu is a list of items displayed above its parent. When the menu is showing its parent is darkened. Each item can have a sub-menu. The menu object can be used to display a menu on a right click event, in a toolbar, anywhere.

Signals that you can add callbacks for are:

- `"clicked"` - the user clicked the empty space in the menu to dismiss.
- `"dismissed"` - the user clicked the empty space in the menu to dismiss (since 1.8)
- `"language,changed"` - the program's language changed (since 1.9)

Default content parts of the menu items that you can use for are:

- `"default"` - A main content of the menu item

Default text parts of the menu items that you can use for are:

- `"default"` - A label in the menu item

Supported elm_object_item common APIs.

- elm_object_item_del
- elm_object_item_part_text_set
- elm_object_item_part_text_get
- elm_object_item_part_content_set
- elm_object_item_part_content_get
- elm_object_item_disabled_set
- elm_object_item_disabled_get
- elm_object_item_signal_emit (since 1.12)

See also
  Menu Example

## Function Documentation

Evas_Object* elm_menu_add | ( | Evas_Object * | parent | ) |

Add a new menu to the parent.

Parameters

  parent | The parent object.

Returns
  The new object or NULL if it cannot be created.

Evas_Object* elm_menu_parent_get | ( | const Evas_Object * | obj | ) |

Get the parent for the given menu widget.

Parameters

  obj | The menu object.

Returns
  The parent.

See also
  elm_menu_parent_set()

void elm_menu_parent_set | ( | Evas_Object * | obj,
|  | Evas_Object * | parent
| ) |  |

Set the parent for the given menu widget.

Parameters

  obj | The menu object.
  parent | The new parent.